import config from "@/config"
import http from "@/utils/request"

export default {
	company:{
		list: {
			url: `${config.API_URL}customer/company/index`,
			name: "企业列表",
			get: function(params){
				return http.get(this.url, params);
			}
		},
		detail: {
			url: `${config.API_URL}customer/company/detail`,
			name: "企业详情",
			get: function(params){
				return http.get(this.url, params);
			}
		},
		insert: {
			url: `${config.API_URL}customer/company/insert`,
			name: "导入公司信息",
			post: async function(data={}){
				return await http.post(this.url, data);
			}
		},
		add: {
			url: `${config.API_URL}customer/company/add`,
			name: "添加信息",
			post: async function(data={}){
				return await http.post(this.url, data);
			}
		},
		edit: {
			url: `${config.API_URL}customer/company/edit`,
			name: "修改信息",
			post: async function(data={}){
				return await http.post(this.url, data);
			}
		}
	},
}